// SugarMemo.h

#ifndef SUGARMEMO_H_
#define SUGARMEMO_H_

// ********************************************************************
// Internal Structures
// ********************************************************************

typedef struct SugarMemoPreferenceType
{
	UInt8 replaceme;
} SugarMemoPreferenceType;

// ********************************************************************
// Global variables
// ********************************************************************

extern SugarMemoPreferenceType g_prefs;

// ********************************************************************
// Internal Constants
// ********************************************************************

#define appFileCreator			'SGMM'
#define appName					"SugarMemo"
#define appVersionNum			0x01
#define appPrefID				0x00
#define appPrefVersionNum		0x01

#define appVocabularyDB			'Voc0' 
#define noRecord					0xffff

#define PhoneticSmallFont		((FontID)193)
#define PhoneticLargeFont		((FontID)194)
#define PhoneticHugeFont		((FontID)195)
#define OS5_16_Font 				((FontID)196)

#define TestingRecordIndex  	0
#define LearningRecordIndex 	1
#define TestingChoiceBuffer	2
#define LearningChoiceBuffer	3
#define HeaderIndexCounts		4

#define FirstFieldIndex 0
#define FirstWordRecord 4

#define CurrentVersion 	3

#define LabelLength 10
typedef char EditLabel[LabelLength];

//Globals holding DB list in Main Form, defined in SugarMemoMain.c
extern UInt16 		HeaderRecordIndex;

//Defined in SugarMemoDB.c
extern DmOpenRef 	CurrentDB;
extern UInt16 		CurrentRecord;

//define in SugarMemoBrowse.c
extern UInt16 		CurrentCategory;
extern Char 		CategoryName[dmCategoryLength];
extern Boolean		ShowAllCategories;

extern UInt16		TopVisibleRecord;
extern Int16		VisibleRows;

//defined in SugarMemoEdit.c
extern Char 		EditCategoryName[dmCategoryLength];

extern UInt16		TopVisibleFieldIndex;
extern UInt16		EditRowIDWhichHadFocus;
extern UInt16		EditFieldPosition;

extern UInt32		ProgressFull;

#endif // SUGARMEMO_H_
